
Redmine - Patch #31113

Update Rails to 5.2.3

2019-03-28 09:04 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 4.0.4   

Description

https://weblog.rubyonrails.org/2019/3/28/Rails-5-2-3-has-been-released/

Related issues:

Has duplicate Redmine - Feature #31112: Update to Rails 5.2.3 Closed

Blocks Redmine - Patch #31126: Update sqlite3 gem (~> 1.4.0) Closed

Associated revisions

Revision 18028 - 2019-03-31 11:58 - Go MAEDA

Update Rails to 5.2.3 (#31113).

Patch by Marius BALTEANU.

Revision 18029 - 2019-03-31 13:07 - Go MAEDA

Merged r18028 from trunk to 4.0-stable (#31113).

History

#1 - 2019-03-28 09:05 - Marius BĂLTEANU

Patch here.

If the tests pass (results here), I think we can deliver this in 4.0.3.

#2 - 2019-03-28 09:09 - Go MAEDA

- Has duplicate Feature #31112: Update to Rails 5.2.3 added

#3 - 2019-03-28 09:17 - Marius BĂLTEANU

Some tests fail: https://gitlab.com/marius-balteanu/redmine/-/jobs/185750691
Failure:

TimelogControllerTest#test_index_csv [/builds/marius-balteanu/redmine/test/functional/timelog_controller_test.

rb:1361]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/timelog_controller_test.rb:1357

.............F

Failure:

TimelogControllerTest#test_index_csv_all_projects [/builds/marius-balteanu/redmine/test/functional/timelog_con

troller_test.rb:1353]:

Expected: "text/csv; header=present" 
  Actual: "text/csv" 

bin/rails test test/functional/timelog_controller_test.rb:1349

..............................................................................................................

..............................................................................................................

.................................................................F

Failure:

TimelogReportTest#test_report_all_projects_csv_export [/builds/marius-balteanu/redmine/test/functional/timelog

_report_test.rb:236]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/timelog_report_test.rb:227

...F

Failure:

TimelogReportTest#test_csv_cannot_convert_should_be_replaced_big_5 [/builds/marius-balteanu/redmine/test/funct

ional/timelog_report_test.rb:337]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/timelog_report_test.rb:308

.F

Failure:

TimelogReportTest#test_report_csv_export [/builds/marius-balteanu/redmine/test/functional/timelog_report_test.

rb:254]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/timelog_report_test.rb:244

......F

Failure:

TimelogReportTest#test_csv_big_5 [/builds/marius-balteanu/redmine/test/functional/timelog_report_test.rb:292]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/timelog_report_test.rb:262

......F

Failure:

TimelogReportTest#test_csv_fr [/builds/marius-balteanu/redmine/test/functional/timelog_report_test.rb:372]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/timelog_report_test.rb:347

..............................................................................................................

..............................................................................................................

........................................................................F

Failure:

IssuesControllerTest#test_index_csv_cannot_convert_should_be_replaced_big_5 [/builds/marius-balteanu/redmine/t

est/functional/issues_controller_test.rb:806]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:794

.....................F

Failure:

IssuesControllerTest#test_index_csv_with_spent_time_column [/builds/marius-balteanu/redmine/test/functional/is

sues_controller_test.rb:700]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:690
......F

Failure:

IssuesControllerTest#test_index_csv [/builds/marius-balteanu/redmine/test/functional/issues_controller_test.rb

:642]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:636

...........................................................................F

Failure:

IssuesControllerTest#test_index_csv_with_all_columns [/builds/marius-balteanu/redmine/test/functional/issues_c

ontroller_test.rb:712]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:705

.........................................F

Failure:

IssuesControllerTest#test_index_csv_tw [/builds/marius-balteanu/redmine/test/functional/issues_controller_test

.rb:830]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:818

....F

Failure:

IssuesControllerTest#test_index_csv_fr [/builds/marius-balteanu/redmine/test/functional/issues_controller_test

.rb:848]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:836

...............................................................F

Failure:

IssuesControllerTest#test_index_csv_big_5 [/builds/marius-balteanu/redmine/test/functional/issues_controller_t

est.rb:784]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:773

.F

Failure:

IssuesControllerTest#test_index_csv_with_description [/builds/marius-balteanu/redmine/test/functional/issues_c

ontroller_test.rb:684]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:672

....................................................................F

Failure:

IssuesControllerTest#test_index_with_relations_column [/builds/marius-balteanu/redmine/test/functional/issues_

controller_test.rb:1316]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:1284

...F

Failure:

IssuesControllerTest#test_index_csv_with_project [/builds/marius-balteanu/redmine/test/functional/issues_contr
oller_test.rb:656]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/issues_controller_test.rb:649
..............................................................................................................

..............................................................................................................

..............................................................................................................

.......F

Failure:

UsersControllerTest#test_index_csv [/builds/marius-balteanu/redmine/test/functional/users_controller_test.rb:7

7]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/users_controller_test.rb:69

F

Failure:

UsersControllerTest#test_index_csv_with_name_filter [/builds/marius-balteanu/redmine/test/functional/users_con

troller_test.rb:99]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/users_controller_test.rb:93

.F

Failure:

UsersControllerTest#test_index_csv_with_status_filter [/builds/marius-balteanu/redmine/test/functional/users_c

ontroller_test.rb:89]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/users_controller_test.rb:81

.F

Failure:

UsersControllerTest#test_index_csv_with_group_filter [/builds/marius-balteanu/redmine/test/functional/users_co

ntroller_test.rb:107]:

Expected: "text/csv; header=present" 

  Actual: "text/csv" 

bin/rails test test/functional/users_controller_test.rb:102

#4 - 2019-03-30 11:14 - Marius BĂLTEANU

I think the test fails are generated by this change: https://github.com/rails/rails/pull/35549 and we need to update our tests to expect only “text/csv”.

Jean-Philippe, should we deliver this in 4.0.3?

#5 - 2019-03-30 15:58 - Marius BĂLTEANU

- File 0001-Update-Rails-to-5.2.3.patch added

Here is the patch.

#6 - 2019-03-30 15:58 - Marius BĂLTEANU

- File deleted (0001-Update-Rails-to-5.2.3.patch)

#7 - 2019-03-30 15:59 - Marius BĂLTEANU

- File 0001-Update-Rails-to-5.2.3.patch added
#8 - 2019-03-31 09:32 - Marius BĂLTEANU

- Target version changed from Candidate for next minor release to 4.0.4

#9 - 2019-03-31 11:24 - Go MAEDA

- Blocks Patch #31126: Update sqlite3 gem (~> 1.4.0) added

#10 - 2019-03-31 11:59 - Go MAEDA

- Category set to Rails support

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch. Thanks.

#11 - 2019-03-31 13:07 - Go MAEDA

- Status changed from Resolved to Closed

Files

0001-Update-Rails-to-5.2.3.patch 9.66 KB 2019-03-30 Marius BĂLTEANU
